Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 643344 (CVE-2017-5754)

Summary: [TRACKER] hw: cpu: speculative execution permission faults handling (CVE-2017-5754)
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: capsel+bugzillagentoo, gentoo-bugzilla, gracy.ding, into-the-trash-it-goes, morlix, pacho, peter.volkov, randy, remy, sergeev917, Xeha
Priority: Normal Keywords: Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 643350, 643352    
Bug Blocks: 643228    

Description GLSAMaker/CVETool Bot gentoo-dev 2018-01-04 01:02:45 UTC
Incoming details.
Comment 1 Thomas Deutschmann (RETIRED) gentoo-dev 2018-01-04 01:10:51 UTC
An industry-wide issue was found in the way many modern microprocessor designs have implemented speculative execution of instructions (a commonly used performance optimization). There are three primary variants of the issue which differ in the way the speculative execution can be exploited.

Variant CVE-2017-5754 relies on the fact that, on impacted microprocessors, during speculative execution of instruction permission faults, exception generation triggered by a faulting access is suppressed until the retirement of the whole instruction block. In a combination with the fact that memory accesses may populate the cache even when the block is being dropped and never committed (executed), an unprivileged local attacker could use this flaw to read privileged (kernel space) memory by conducting targeted cache side-channel attacks.

Note: CVE-2017-5754 affects Intel x86-64 microprocessors. AMD x86-64 microprocessors are not affected by this issue.

Source: https://bugzilla.redhat.com/show_bug.cgi?id=1519781


External References:

https://access.redhat.com/security/vulnerabilities/speculativeexecution
https://googleprojectzero.blogspot.com/2018/01/reading-privileged-memory-with-side.html
https://spectreattack.com/
https://meltdownattack.com
Comment 2 Thomas Deutschmann (RETIRED) gentoo-dev 2018-01-04 01:29:55 UTC
Converting into tracker bug, needed for Xen as well.
Comment 3 D'juan McDonald (domhnall) 2018-09-01 15:02:21 UTC
For clarity, this CVE is Meltdown CVE-2017-5754, not Spectra.
Comment 4 John Helmert III archtester Gentoo Infrastructure gentoo-dev Security 2021-06-12 14:27:52 UTC
Seems to be an obsolete tracker, closing.